#! /usr/bin/tclsh
##############################################################################
# tksurfer script: fs-views    [read fieldsign, display on folded/unfolded]
##############################################################################

#### session dir autoset to $cwd/.. when cwd=scripts
#setsession ~/fmri/DALE0308/08798

#### file defaults: can reset in csh script with setenv
set dir fs
set rgbname fs

#### parm defaults: can reset in csh script with setenv
puts "tksurfer: [file tail $script]: set flags"
set overlayflag 1       ;# overlay data on gray brain
set surfcolor 1         ;# draw the curvature under data
set avgflag 1           ;# make half convex/concave
set complexvalflag 0    ;# one-component data
set autoscaleflag 1     ;# for fs,CMF
set colscale 9          ;# 0=wheel,1=heat,2=BR,3=BGR,4=twocondGR,5=gray
set angle_offset 0.0    ;# phase offset
set angle_cycles 1.0    ;# adjust range
set fthresh 0.3         ;# val/curv sigmoid zero (neg=>0)
set fslope 5.0          ;# contast
set fmid   0.6          ;# set linear region
set offset 0.20		;# default lighting offset

#### read non-cap setenv vars (or ext w/correct rgbname) to override defaults
source $env(MRI_DIR)/lib/tcl/readenv.tcl

#### read curvature (or sulc)
puts "tksurfer: [file tail $script]: read curvature"
read_binary_curv

#### read fieldsign color and mask
setfile fs */$dir/$hemi.fs
setfile fm */$dir/$hemi.fm
puts "tksurfer: [file tail $script]: read fieldsign"
read_fieldsign          ;# written with fs-flat.tcl
puts "tksurfer: [file tail $script]: read fieldsign mask"
read_fsmask             ;# ditto

#### override flag reset from bad setenv colscale
if {$fieldsignflag} { set complexvalflag 0 }

#### scale and position brain
puts "tksurfer: [file tail $script]: scale, position brain"
open_window
make_lateral_view       ;# rotate either hemisphere
do_lighting_model -1 -1 -1 -1 $offset ;# -1 => nochange; diffuse curv (def=0.15)

#### save requested rgbs
puts "tksurfer: [file tail $script]: save rgb's"
source $env(MRI_DIR)/lib/tcl/saveviews.tcl

if ![info exists noexit] { exit }

