#! /usr/bin/tclsh
##############################################################################
# tksurfer script: movie360.tcl [360 rotate around vertical axis]
##############################################################################

### defaults
set mpgname $subject-$ext-$hemi.mpg
set entwidth 25
set op:hor,cor,scl,sclcor hor
set steps 180

if [winfo viewable .] {    ;# make popup
  tmpcontrols "ROT/SCL MOVIE" { mpgname steps op:hor,cor,scl,sclcor } $entwidth
  if {!$userok} { return }
} else {                   ;# batch scripts; re-read env to override defaults
  source $env(MRI_DIR)/lib/tcl/readenv.tcl
}

### go into the local mpg directory
cd $session/mpg

### use whatever view we start with
redraw

### rotate all the way around the y axis
set f 0
set dr [expr 360/$steps]
set ds 1.01
for {set i 0} {$i < $steps} {incr i} {
  if {${op:hor,cor,scl,sclcor} == "hor"} {
    if {$hemi == "rh"} { rotate_brain_y -$dr }
    if {$hemi == "lh"} { rotate_brain_y $dr }
  } elseif {${op:hor,cor,scl,sclcor} == "cor"} {
    rotate_brain_x -$dr
  } elseif {${op:hor,cor,scl,sclcor} == "scl"} {
    scale_brain $ds
  } elseif {${op:hor,cor,scl,sclcor} == "sclcor"} {
    rotate_brain_x -$dr
    scale_brain $ds
  } else { return }
  redraw
  set rgb f[format "%05d" $f].rgb
  save_rgb
  incr f
  update   ;# kill zombie tmpcontrols window, refresh surfer tools
  #if { $userok == 0 } {
  #  if [file exists  TmpConvertToMpg.0.0000.rgb] {
  #    foreach tmprgb [glob TmpConvertToMpg.?.????.rgb] { exec rm $tmprgb }
  #  }
  #  if [file exists f00000.rgb] {
  #    foreach tmprgb [glob f?????.rgb] { exec rm $tmprgb }
  #  }
  #  return
  #}
}

### make quality=1 mpg, test show
puts [eval exec rgb2mpg -q 1 *.rgb $mpgname]
puts [exec mpeg_play_opts $mpgname]
foreach tmprgb [glob f?????.rgb] { exec rm $tmprgb }
#confirmalert "made $mpgname"
