#! /usr/bin/tclsh
##############################################################################
# tksurfer script: offsetmovie     [save offset movie; interactive or batch]
##############################################################################

#### defaults
if ![info exists rgbname] { set rgbname current }     ;# else use current
set offsetsteps 25
set offsetmin 0.0
set offsetmax 1.0

#### two ways to override defaults
if [winfo viewable .] {    ;# make popup
  tmpcontrols "OFFSET MOVIE" { rgbname offsetmin offsetmax offsetsteps }
  if {!$userok} { return }
} else {                   ;# batch scripts; re-read env to override defaults
  source $env(MRI_DIR)/lib/tcl/readenv.tcl
}

puts "offsetmovie.tcl: making movie of angle_offsets"
puts "     files: $rgbname-offmov-$hemi-$ext-??.rgb"
prompt

### (since not currently catching wrap)
if { $offsetmax < $offsetmin } {
  puts "offsetmovie.tcl: ==> offsetmax less than offsetmin (can't wrap offset)"
  prompt
  return
}

#### save offsetmovie
set angle_offset $offsetmin
set doff [expr ($offsetmax-$offsetmin)/$offsetsteps]
set i 0
for {set angle_offset $offsetmin} {$angle_offset < $offsetmax} \
    {set angle_offset [expr $angle_offset + $doff]} {
  redraw
  set rgbnum [format "%02d" $i]
  set offnum of=[format "%+2.2f" $angle_offset]
  save_rgb_named $rgbname-offmov-$hemi-$ext-$rgbnum,$offnum.rgb
  incr i
}

