### joe's ventral movie

# parms
set cslope 0.01        ;# red/green=>gray
set steps 30           ;# generates steps+1 images
set rotmax 90          ;# total deg
set axis z             ;# x,y,z -- rotates around this axis
set sign -1            ;# 1 or -1 to determine rotation dir
set ipref monk         ;# image prefix
set savedir /tmp/zz1   ;# stops if files inside
set mpref zz           ;# mpg outfile prefix

# check
if ![file exists $savedir] { exec mkdir $savedir }
if [file exists $savedir/monk000.rgb] {
  confirmalert "zz.tcl: first outfile: ${ipref}000.rgb exists"
  return
}
if [file exists $savedir/zz.mpg] {
  confirmalert "zz.tcl: movie outfile: $mpref.mpg exists"
  return
}

# set up init view
make_lateral_view      ;# go back to default view
scale_brain 1.5        ;# fill frame
rotate_brain_y 2       ;# touch up alignment

# render
for {set i 0} {$i < $steps} {incr i} {
  redraw
  setfile rgb $savedir/monk[format "%03d" $i].rgb
  save_rgb
  rotate_brain_$axis [expr $sign*$rotmax.0/$steps.0]
}

set axis y
set sign -1

for {set i 0} {$i < $steps} {incr i} {
  redraw
  setfile rgb $savedir/monk[format "%03d" [expr $i + $steps]].rgb
  save_rgb
  rotate_brain_$axis [expr $sign*$rotmax.0/$steps.0]
}

# convert output to mpeg (leave individual rgb's)
cd $savedir
exec rgb2mpg -q 1 monk\*.rgb $mpref.mpg
#exec rm [glob $impref???.rgb]

confirmalert "made movie: $mpref.mpg
