#! /usr/bin/tclsh
##############################################################################
# tksurfer script: movie360h.tcl [360 rotate around vertical axis]
##############################################################################

proc tmpcontrols { title variablelist { entwidth 5 } } {
  global ffontb tmpcontrolsok
  set frame .tmpcontrols_popup
  set f [toplevel $frame -borderwidth 10]
  wm title $f $title
  positionpopup $f
  wm protocol $f WM_DELETE_WINDOW killbox
  label $f.la -text $title -font $ffontb
  pack $f.la -side top
  set longest 0
  foreach var $variablelist {
    if {[string length $var] > $longest} {set longest [string length $var]}
  }
  foreach var $variablelist {
    edlabval $f $var 0 n [expr $longest+2] $entwidth
    $f.$var.e config -textvariable $var
  }
  buttons $f "RUN SCRIPT" { set tmpcontrolsok 1 } col
  buttons $f "KILL SCRIPT" { set tmpcontrolsok 0 } col
  buttons $f "CLOSE"      { set tmpcontrolsok 2 } col
  focus $f
  grab $f
  tkwait variable userok  ;# caller must update idletasks to kill zombie
  grab release $f
  destroy $f
  return $userok
}

### defaults
set mpgname zz.mpg
set entwidth 20
set rotplane-hor,cor hor

if [winfo viewable .] {    ;# make popup
  tmpcontrols "ROTATE MOVIE" { mpgname rotplane-hor,cor } $entwidth
  if {!$userok} { return }
} else {                   ;# batch scripts; re-read env to override defaults
  source $env(MRI_DIR)/lib/tcl/readenv.tcl
}

### go into the local mpg directory
cd $session/mpg

### use whatever view we start with
redraw

### rotate all the way around the y axis
set f 0
for {set i 0} {$i < 18} {incr i} {
  if {${rotplane-hor,cor} == "hor"} {
    if {$hemi == "rh"} { rotate_brain_y -2 }
    if {$hemi == "lh"} { rotate_brain_y 2 }
  } elseif {${rotplane-hor,cor} == "cor"} {
    rotate_brain_x -2
  } else { return }
  redraw
  set rgb f[format "%05d" $f].rgb
  save_rgb
  incr f
  update
  #update  ;# kills should-be-dead tmpcontrols window
  #if { $userok == 0 } {
  #  if [file exists  TmpConvertToMpg.0.0000.rgb] {
  #    foreach tmprgb [glob TmpConvertToMpg.?.????.rgb] { exec rm $tmprgb }
  #  }
  #  if [file exists f00000.rgb] {
  #    foreach tmprgb [glob f?????.rgb] { exec rm $tmprgb }
  #  }
  #  return
  #}
}

### make quality=1 mpg, test show
puts [eval exec rgb2mpg -q 1 *.rgb $mpgname]
puts [exec mpeg_play_opts $mpgname]
foreach tmprgb [glob f?????.rgb] { exec rm $tmprgb }
#confirmalert "made $mpgname"
