#! /usr/bin/tclsh
##############################################################################
# medit script: mri2mpg    [save coronal,horizontal,sagittal mpgs]
##############################################################################
#### bound to F12 in tkmedit interface window

#### defaults
set cormpg_min 15
set cormpg_max 241
set hormpg_min 0
set hormpg_max 220
set sagmpg_min 40
set sagmpg_max 216

#### two ways to override defaults
if [winfo viewable .] {    ;# make popup
  confirmalert " (1) determine limits beforehand\n\
                 (2) interface unresponsive during rgb->mpg convert"
  tmpcontrols "MRI->MPGs" \
    { cormpg_min cormpg_max hormpg_min hormpg_max sagmpg_min sagmpg_max }
  if {!$userok} { return }
} else {                   ;# batch scripts; re-read env to override defaults
  source $env(MRI_DIR)/lib/tcl/readenv.tcl
}
puts "mri2mpg.tcl: making movies of mri slices"
prompt

### for command line script (harmless error if gl win open)
open_window

#### make rgbs for each plane
if {$subject != "local"} { cd $env(SUBJECTS_DIR)/$subject/rgb }
foreach stem { $stemlist } {
  if {$stem == "cor"} { set plane 0 }
  if {$stem == "hor"} { set plane 1 }
  if {$stem == "sag"} { set plane 2 }
  set newimc 0; set newic 0; set newjc 0   ;# put cursor lower left
  set min [set ${stem}mpg_min]
  set max [set ${stem}mpg_max]
  set rgbslice $min
  while {$rgbslice < $max} {
    gotoslice $rgbslice
    set rgb $stem[format "%03d" $rgbslice].rgb
    save_rgb
    incr rgbslice
  }
}

#### convert rgb's to mpg
foreach stem { cor } {
  puts "mri2mpg.tcl: making $stem.mpg"
  prompt
  set id [open TmpCshScript w 0644]
  puts $id "rgb2mpg -q 1 $stem\\*.rgb $stem.mpg"
  close $id
  exec tcsh TmpCshScript
}

#### move into subjects' mpg dir (if not run as local)
if {$subject != "local"} {
  set submpgdir $env(SUBJECTS_DIR)/$subject/mpg
  if ![file exists $submpgdir] { exec mkdir $submpgdir }
  foreach stem { cor } {
    if { [file exists $submpgdir] && [file exists $stem.mpg] } {
      exec mv $stem.mpg $submpgdir
    }
  }
}

#### cleanup, feedback
exec rm -f TmpCshScript
foreach rgbfile [glob cor???.rgb hor???.rgb sag???.rgb] { exec rm $rgbfile }
if { [winfo viewable .] && $subject != "local" } {
  confirmalert "struct movies (cor.mpg, hor.mpg, sag.mpg) saved in $submpgdir"
}

if ![winfo viewable .] { exit }
